Macaulay2 » Documentation
Packages » NCAlgebra :: ambient(NCQuotientRing)
next | previous | forward | backward | up | index | toc

# ambient(NCQuotientRing) -- Ambient ring of an NCQuotientRing

- Function: ambient
- Usage:
    `A = ambient B`
- Inputs:
  - B, an instance of the type NCQuotientRing,
- Outputs:
  - A, an instance of the type NCPolynomialRing,

## Description

Returns the ambient ring of an NCQuotientRing.

As quotients of NCQuotientRings are added, this will return the top-level ambient ring.

    i1 : B = skewPolynomialRing(QQ,(-1)_QQ,{x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o1 = B

    o1 : NCQuotientRing

    i2 : A = ambient B

    o2 = A

    o2 : NCPolynomialRing

## Ways to use this method:

- ambient(NCQuotientRing) -- Ambient ring of an NCQuotientRing

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:339:0.